Package picard.sam.SamErrorMetric

## Class ReadBaseStratification.CollectionStratifier

- java.lang.Object
- - picard.sam.SamErrorMetric.ReadBaseStratification.CollectionStratifier

- All Implemented Interfaces:
    `ReadBaseStratification.RecordAndOffsetStratifier`
  Enclosing class:
    ReadBaseStratification

      public static class ReadBaseStratification.CollectionStratifier
      extends Object
      implements ReadBaseStratification.RecordAndOffsetStratifier

  A CollectionStratifier is a stratifier that uses a collection of stratifiers to inform the stratification. For a given input, the result is the "Tuple" (actually repeated pairs) of outputs that the stratifiers return. The suffix for this stratifier is generated from the suffixes of the provided stratifiers.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollectionStratifier​(Collection<ReadBaseStratification.RecordAndOffsetStratifier<?>> stratifiers)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getSuffix()` |
    `Comparable` | `stratify​(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionStratifier

          public CollectionStratifier​(Collection<ReadBaseStratification.RecordAndOffsetStratifier<?>> stratifiers)

  - ### Method Detail

    - #### stratify

          public Comparable stratify​(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset,
                                     htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)

      Specified by:
        `stratify` in interface `ReadBaseStratification.RecordAndOffsetStratifier`

    - #### getSuffix

          public String getSuffix()

      Specified by:
        `getSuffix` in interface `ReadBaseStratification.RecordAndOffsetStratifier`